Skip to content

List Tcpdump.

POST
/api/operate/namespaces/{namespace}/sites/{site}/ver/list_tcpdump
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/list_tcpdump \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace": "example", "node": "example", "site": "example" }'

List tcpdump capture status on a ver node.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site on which Tcpdump status is requested.

Media typeapplication/json
List Request

Request to list Tcpdump capture status on a node.

object
namespace
Namespace

Namespace for which the request is sent (system)

string
>= 6 characters <= 1024 characters
node
Node Name

Name of the node on which Tcpdump status is requested Required: YES.

string
>= 1 characters <= 64 characters
site
Site Name

Name of the site on which Tcpdump status is requested.

string
<= 1024 characters
Examplegenerated
{
"namespace": "example",
"node": "example",
"site": "example"
}

A successful response.

Media typeapplication/json
List Response

List of Tcpdump capture status on a node.

object
intf_status
Interface Tcpdump Status

List of Interfaces along with their last run tcpdump status.

Array<object>
Interface Tcpdump Status

Status of tcpdump capture on an interface.

object
intf
object
intf
Interface Name

Exclusive with [pod vn vn_type] Name of the chosen interface on the node.

string
>= 1 characters <= 256 characters
pod
Pod Name

Exclusive with [intf vn vn_type] Name of the pod whose interface on the node is chosen.

string
>= 1 characters <= 256 characters
vn
Virtual Network

Exclusive with [intf pod vn_type] Name of chosen Virtual Network.

string
>= 1 characters <= 256 characters
vn_type
string
default: VIRTUAL_NETWORK_SITE_LOCAL
Allowed values: VIRTUAL_NETWORK_SITE_LOCAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE VIRTUAL_NETWORK_PER_SITE VIRTUAL_NETWORK_PUBLIC VIRTUAL_NETWORK_GLOBAL VIRTUAL_NETWORK_SITE_SERVICE VIRTUAL_NETWORK_VER_INTERNAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE_OUTSIDE VIRTUAL_NETWORK_IP_AUTO VIRTUAL_NETWORK_VOLTADN_PRIVATE_NETWORK VIRTUAL_NETWORK_SRV6_NETWORK VIRTUAL_NETWORK_IP_FABRIC VIRTUAL_NETWORK_SEGMENT VIRTUAL_NETWORK_MANAGEMENT
last_capture_timestamp
Last Capture Timestamp

Timestamp of last packet capture on the Interface.

string
<= 1024 characters
status
string
default: RUNNING
Allowed values: RUNNING COMPLETED FAILED NOT_STARTED
Example
{
"intf_status": [
{
"intf": {
"vn_type": "VIRTUAL_NETWORK_SITE_LOCAL"
},
"status": "RUNNING"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example